stcmbackend.segmentaciones = {
	sharedEvents(self, modal1, modal2) {
		// Volver a Listas de segmentaciones
		$('#back').off().on('click', function() {
			window.location.href = '#!editsegmentations';
		});

		// Abrir tabla de países
		let countryModal = new TableCountries(0, modal1);
		$('#searchCountry').on('click', function() {
			countryModal.setEvents();
		});

		// Abrir tabla encuestas
		let surveys = new TableSurveys(0, modal2);
		$('#searchSurvey').click(function() {
			surveys.setEvents('tableModal');
		});

		// Restricciones de carácteres por tecla
		$('.ovSpecChars').off().on('keypress', function(e) {
			// Parámetros: tecla, warningTitle, warningContent y pattern si no es el general
			let result = characterRestrictionsPerKey(e.keyCode, pf.const.language.RSC375, pf.const.language.RSC1762);

			return result;
		});

		// Restricciones de carácteres por pegado
		$('.ovSpecChars').on('paste', function() {
			// Parámetros: elemento, warningTitle, warningContent y pattern si no es el general
			characterRestrictionsPerPaste($(this), pf.const.language.RSC375, pf.const.language.RSC1762);
		});
	},

	tableAttEvents(self) {
		// Restricciones de carácteres por tecla
		$('.valueNameInput').on('keypress', function(e) {
			// Parámetros: tecla, warningTitle, warningContent y pattern si no es el general
			let result = characterRestrictionsPerKey(e.keyCode, pf.const.language.RSC375, pf.const.language.RSC1762);

			return result;
		});

		// Restricciones de carácteres por pegado
		$('.valueNameInput').on('paste', function() {
			// Parámetros: elemento, warningTitle, warningContent y pattern si no es el general
			characterRestrictionsPerPaste($(this), pf.const.language.RSC375, pf.const.language.RSC1762);
		});
	}
};